from core.database import db


def get_api_hub_endpoint(store_id, store_name):
    with db.get_connection() as conn:
        cursor = conn.cursor()
        clause = ('SELECT store_hub '
                  'FROM store '
                  'WHERE pro_id = %s AND store_name = %s ')
        cursor.execute(clause, (store_id, store_name,))
        queryset = cursor.fetchone()
        if not queryset:
            return False, None
        return True, queryset.get('store_hub')
